/* 비밀번호 변경 팝업 */

class PopPWVueClass {
  constructor() {
  }

  init(modal) {
    const vueForm = createApp({
      data() {
        return {
          CUR_PW: "",
          NEW_PW: "",
          NEW_PW_CHECK: "",
          AGREE_PW:false,
          modal: modal
        };
      },
      mounted() {},
      methods: {
        checkCur(e) {
          e.preventDefault();

          ajax_json({
            url: "/ksvc/inc/common.ajax.php",
            data: {mode:"checkPassword", member_auth:this.CUR_PW},
            success: (data)=>{
              if (data.code == 1) {
                kuls_success("확인되었습니다.");
                // document.getElementById("AGREE_PW").value = true;
                this.AGREE_PW = true;
              }else{
                // document.getElementById("AGREE_PW").value = false;
                this.AGREE_PW = false;
                kuls_alert(data.mesg);
              }
            },
            error: function (request, status, error) {
              kuls_alert(error.message);
            },
            complete: function () {
            }
          });
        },
        limit(e) {
          if(this.NEW_PW.length < 6){
            // 새 비밀번호 길이 6자리 미만
            $(e.target).parent().removeClass("correct");
            $(e.target).parent().addClass("nope");
          }else{
            // 새 비밀번호 길이 6자리 이상
            $(e.target).parent().removeClass("nope");
            $(e.target).parent().addClass("correct");
          }
        },
        checkNew(e) {
          if(this.NEW_PW === this.NEW_PW_CHECK){
            // 비밀번호 확인 틀렸을때
            $(e.target).parent().removeClass("nope");
            $(e.target).parent().addClass("correct");
          }else{
            // 비밀번호 확인 맞을때
            $(e.target).parent().removeClass("correct");
            $(e.target).parent().addClass("nope");
          }
        },
        submit(e) {
          e.preventDefault();
          //기존 비밀번호 확인하지 않은 경우
          if(!this.AGREE_PW){
            kuls_alert("기존 비밀번호를 확인해주세요");
            return false;
          }
          //변경할 비밀번호와 비밀번호 재확인 || 새 비밀번호 빈 경우 || 비밀번호 확인란이 빈 경우
          if(this.NEW_PW !== this.NEW_PW_CHECK ||this.NEW_PW ===""|| this.NEW_PW_CHECK ===""){
            kuls_alert("변경할 비밀번호를 확인해주세요");
            return false;
          }

          ajax_json({
            url: "../inc/common.ajax.php",
            data: {mode: "changePassword", member_auth: this.NEW_PW},
            success: (data) => {
              if (data.code == 1) {
                kuls_success("변경되었습니다.");
                this.modal.delete();
              } else {
                kuls_alert(data.mesg);
              }
            },
            error: function (request, status, error) {
              kuls_alert(error.message);
            },
            complete: function () {
            }
          })
        }
      },
    }).mount("#popup_PW");
  }
}

document.querySelector(".pw-change").addEventListener("click", (e) => {
  vnLoad("", "/ksvc/inc/popPasswords.php", "", (loadHtml) => {
    const modal = kuls_modal(loadHtml);
    const popPWVue = new PopPWVueClass();
    popPWVue.init(modal);
  });
});
